# Market

## Asia Month-over-Month Price Change

> This metric shows the 30-day change in the regional price set during Asia working hours, i.e. between 8am and 8pm China Standard Time (00:00-12:00 UTC).\n\nRegional prices are constructed in a two-step process: First, price movements are assigned to regions based on working hours in the US, Europe, and Asia. Regional prices are then determined by calculating the cumulative sum of the price changes over time for each region.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/market.Apac30DPriceChange?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - market","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/market/apac_30d_price_change":{"get":{"summary":"Asia Month-over-Month Price Change","description":"This metric shows the 30-day change in the regional price set during Asia working hours, i.e. between 8am and 8pm China Standard Time (00:00-12:00 UTC).\\n\\nRegional prices are constructed in a two-step process: First, price movements are assigned to regions based on working hours in the US, Europe, and Asia. Regional prices are then determined by calculating the cumulative sum of the price changes over time for each region.\n\n[View in Studio](https://studio.glassnode.com/charts/market.Apac30DPriceChange?a=BTC)\n","operationId":"market.Apac30DPriceChange","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Beta to BTC (7D)

> The 7-day rolling beta coefficient measuring the asset\&#x27;s sensitivity to Bitcoin\&#x27;s price movements. Beta quantifies how much the asset tends to move relative to BTC.\n\nA beta of 1 means the asset moves in line with BTC, greater than 1 indicates higher volatility relative to BTC (e.g., beta of 1.5 means a 10 asset move), and less than 1 indicates lower volatility. Negative beta indicates the asset tends to move opposite to BTC.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/market.BetaBtc7D?a=ETH>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - market","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/market/beta_btc_7d":{"get":{"summary":"Beta to BTC (7D)","description":"The 7-day rolling beta coefficient measuring the asset&#x27;s sensitivity to Bitcoin&#x27;s price movements. Beta quantifies how much the asset tends to move relative to BTC.\\n\\nA beta of 1 means the asset moves in line with BTC, greater than 1 indicates higher volatility relative to BTC (e.g., beta of 1.5 means a 10 asset move), and less than 1 indicates lower volatility. Negative beta indicates the asset tends to move opposite to BTC.\n\n[View in Studio](https://studio.glassnode.com/charts/market.BetaBtc7D?a=ETH)\n","operationId":"market.BetaBtc7D","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## BTC Dominance

> BTC Dominance, or Bitcoin Dominance, denotes Bitcoin\&#x27;s market capitalization as a percentage of the total market cap of all cryptocurrencies. It\&#x27;s calculated by dividing Bitcoin\&#x27;s market cap by the total cryptocurrency market cap. This metric is updated daily at 10:15 UTC, providing us with the previous day\&#x27;s data point at this time.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/market.BtcDominance?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - market","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/market/btc_dominance":{"get":{"summary":"BTC Dominance","description":"BTC Dominance, or Bitcoin Dominance, denotes Bitcoin&#x27;s market capitalization as a percentage of the total market cap of all cryptocurrencies. It&#x27;s calculated by dividing Bitcoin&#x27;s market cap by the total cryptocurrency market cap. This metric is updated daily at 10:15 UTC, providing us with the previous day&#x27;s data point at this time.\n\n[View in Studio](https://studio.glassnode.com/charts/market.BtcDominance?a=BTC)\n","operationId":"market.BtcDominance","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Correlation to BTC (7D)

> The 7-day rolling correlation coefficient between the asset\&#x27;s returns and Bitcoin\&#x27;s returns. This metric measures how closely the asset\&#x27;s price movements track Bitcoin over a weekly period.\n\nValues range from -1 to 1: a value of 1 indicates perfect positive correlation (the asset moves in the same direction as BTC), -1 indicates perfect negative correlation (moves opposite to BTC), and 0 indicates no correlation.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/market.CorrelationBtc7D?a=ETH>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - market","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/market/correlation_btc_7d":{"get":{"summary":"Correlation to BTC (7D)","description":"The 7-day rolling correlation coefficient between the asset&#x27;s returns and Bitcoin&#x27;s returns. This metric measures how closely the asset&#x27;s price movements track Bitcoin over a weekly period.\\n\\nValues range from -1 to 1: a value of 1 indicates perfect positive correlation (the asset moves in the same direction as BTC), -1 indicates perfect negative correlation (moves opposite to BTC), and 0 indicates no correlation.\n\n[View in Studio](https://studio.glassnode.com/charts/market.CorrelationBtc7D?a=ETH)\n","operationId":"market.CorrelationBtc7D","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Delta Cap

> Delta Cap is the difference between Realized Cap and Average Cap, where Average Cap is assumed to be the life-to-date moving average of Market Cap. It attempts to detect major market bottoms in Bitcoin cycles. This metric was put forward by \[David Puell]\(twitter.com/kenoshaking). For more information please read his \[introductory article]\(<https://medium.com/@kenoshaking/bitcoin-delta-capitalization-1d51a7b256b4).\\>
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/market.DeltacapUsd?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - market","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/market/deltacap_usd":{"get":{"summary":"Delta Cap","description":"Delta Cap is the difference between Realized Cap and Average Cap, where Average Cap is assumed to be the life-to-date moving average of Market Cap. It attempts to detect major market bottoms in Bitcoin cycles. This metric was put forward by [David Puell](twitter.com/kenoshaking). For more information please read his [introductory article](https://medium.com/@kenoshaking/bitcoin-delta-capitalization-1d51a7b256b4).\n\n[View in Studio](https://studio.glassnode.com/charts/market.DeltacapUsd?a=BTC)\n","operationId":"market.DeltacapUsd","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 1month, 1w, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## EU Month-over-Month Price Change

> This metric shows the 30-day change in the regional price set during EU working hours, i.e. between 8am and 8pm Central European Time (07:00-19:00 UTC), respectively Central European Summer Time (06:00-18:00 UTC).\n\nRegional prices are constructed in a two-step process: First, price movements are assigned to regions based on working hours in the US, Europe, and Asia. Regional prices are then determined by calculating the cumulative sum of the price changes over time for each region.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/market.Emea30DPriceChange?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - market","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/market/emea_30d_price_change":{"get":{"summary":"EU Month-over-Month Price Change","description":"This metric shows the 30-day change in the regional price set during EU working hours, i.e. between 8am and 8pm Central European Time (07:00-19:00 UTC), respectively Central European Summer Time (06:00-18:00 UTC).\\n\\nRegional prices are constructed in a two-step process: First, price movements are assigned to regions based on working hours in the US, Europe, and Asia. Regional prices are then determined by calculating the cumulative sum of the price changes over time for each region.\n\n[View in Studio](https://studio.glassnode.com/charts/market.Emea30DPriceChange?a=BTC)\n","operationId":"market.Emea30DPriceChange","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## HODL Cave

> The HODL Cave metric analyzes the spread of historical returns for investors who hold a digital asset over various durations and visualizes both the potential gains and risks of holding. The data can be used to understand how the duration of an investor\&#x27;s holdings influences returns, highlighting both potential long-term growth and short-term volatility in digital assets.\n\nThe chart shows the holding period in days on the x-axis and on the y-axis the distribution of returns that were historically observed when holding the asset for this amount of time are shown as percentiles. The metric can answer questions like \\"What have been the typical returns for holding this asset for three years?\\" For example, at a three-year holding duration, if the \\"80\\" percentile line shows a 5x return, it means 80% of all three-year holding periods achieved at least that return.\n\nNote that the data shown in this metric is not static, since new holding windows (ending with the current timestamp) will contribute to all existing holding periods and in turn modify the observed distribution of returns.\n\nThis metric was first introduced by \[Unchained Capital]\(<https://unchained.com/features/hodl-cave).\\>
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/market.HodlCave?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - market","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/market/hodl_cave":{"get":{"summary":"HODL Cave","description":"The HODL Cave metric analyzes the spread of historical returns for investors who hold a digital asset over various durations and visualizes both the potential gains and risks of holding. The data can be used to understand how the duration of an investor&#x27;s holdings influences returns, highlighting both potential long-term growth and short-term volatility in digital assets.\\n\\nThe chart shows the holding period in days on the x-axis and on the y-axis the distribution of returns that were historically observed when holding the asset for this amount of time are shown as percentiles. The metric can answer questions like \\\"What have been the typical returns for holding this asset for three years?\\\" For example, at a three-year holding duration, if the \\\"80\\\" percentile line shows a 5x return, it means 80% of all three-year holding periods achieved at least that return.\\n\\nNote that the data shown in this metric is not static, since new holding windows (ending with the current timestamp) will contribute to all existing holding periods and in turn modify the observed distribution of returns.\\n\\nThis metric was first introduced by [Unchained Capital](https://unchained.com/features/hodl-cave).\n\n[View in Studio](https://studio.glassnode.com/charts/market.HodlCave?a=BTC)\n","operationId":"market.HodlCave","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"i","in":"query","required":true,"description":"frequency interval - 1w","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## LTH-MVRV

> Long Term Holder MVRV (LTH-MVRV) is MVRV that takes into account only UTXOs with a lifespan of at least 155 days and serves as an indicator to assess the behaviour of long term investors. For more information see \[this article]\(<https://insights.glassnode.com/sth-lth-sopr-mvrv).\\>
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/market.MvrvMore155?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - market","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/market/mvrv_more_155":{"get":{"summary":"LTH-MVRV","description":"Long Term Holder MVRV (LTH-MVRV) is MVRV that takes into account only UTXOs with a lifespan of at least 155 days and serves as an indicator to assess the behaviour of long term investors. For more information see [this article](https://insights.glassnode.com/sth-lth-sopr-mvrv).\n\n[View in Studio](https://studio.glassnode.com/charts/market.MvrvMore155?a=BTC)\n","operationId":"market.MvrvMore155","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Market Cap

> The market capitalization (or network value) is defined as the product of the current supply by the current USD price.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/market.MarketcapUsd?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - market","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/market/marketcap_usd":{"get":{"summary":"Market Cap","description":"The market capitalization (or network value) is defined as the product of the current supply by the current USD price.\n\n[View in Studio](https://studio.glassnode.com/charts/market.MarketcapUsd?a=BTC)\n","operationId":"market.MarketcapUsd","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 1month, 1w, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Median MVRV

> The Median MVRV metric represents the ratio of the current market price to the median realized price, providing a nuanced view of market valuation. Unlike the standard MVRV, which compares market cap to realized cap, the Median MVRV focuses on the midpoint acquisition cost, offering insight into how the current price relates to the median acquisition price of the supply. This metric helps indicate whether the traded price is above or below a typical acquisition price, highlighting potential undervaluation or overvaluation relative to the central price level at which the asset’s supply was acquired.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/market.MvrvMedian?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - market","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/market/mvrv_median":{"get":{"summary":"Median MVRV","description":"The Median MVRV metric represents the ratio of the current market price to the median realized price, providing a nuanced view of market valuation. Unlike the standard MVRV, which compares market cap to realized cap, the Median MVRV focuses on the midpoint acquisition cost, offering insight into how the current price relates to the median acquisition price of the supply. This metric helps indicate whether the traded price is above or below a typical acquisition price, highlighting potential undervaluation or overvaluation relative to the central price level at which the asset’s supply was acquired.\n\n[View in Studio](https://studio.glassnode.com/charts/market.MvrvMedian?a=BTC)\n","operationId":"market.MvrvMedian","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Median Realized Price

> The Median Realized Price metric represents the median acquisition cost across the total supply of a digital asset, reflecting the price point at which half of the supply was last moved. Unlike average Realized Price, which is based on the Realized Cap divided by current supply, this median calculation provides a view of the central acquisition price by focusing on the midpoint.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/market.PriceRealizedMedianUsd?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - market","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/market/price_realized_median_usd":{"get":{"summary":"Median Realized Price","description":"The Median Realized Price metric represents the median acquisition cost across the total supply of a digital asset, reflecting the price point at which half of the supply was last moved. Unlike average Realized Price, which is based on the Realized Cap divided by current supply, this median calculation provides a view of the central acquisition price by focusing on the midpoint.\n\n[View in Studio](https://studio.glassnode.com/charts/market.PriceRealizedMedianUsd?a=BTC)\n","operationId":"market.PriceRealizedMedianUsd","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## MVRV Ratio

> Market Value to Realized Value (MVRV) is the ratio between market cap and realised cap. It gives an indication of when the traded price is below a \\"fair value\\". This metric was created by \[David Puell]\(<https://twitter.com/kenoshaking>) and \[Murad Muhmudov]\(<https://twitter.com/MustStopMurad>). For more information see \[this post]\(<https://medium.com/adaptivecapital/bitcoin-market-value-to-realized-value-mvrv-ratio-3ebc914dbaee)\\>
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/market.Mvrv?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - market","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/market/mvrv":{"get":{"summary":"MVRV Ratio","description":"Market Value to Realized Value (MVRV) is the ratio between market cap and realised cap. It gives an indication of when the traded price is below a \\\"fair value\\\". This metric was created by [David Puell](https://twitter.com/kenoshaking) and [Murad Muhmudov](https://twitter.com/MustStopMurad). For more information see [this post](https://medium.com/adaptivecapital/bitcoin-market-value-to-realized-value-mvrv-ratio-3ebc914dbaee)\n\n[View in Studio](https://studio.glassnode.com/charts/market.Mvrv?a=BTC)\n","operationId":"market.Mvrv","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## MVRV Z-Score

> The MVRV Z-Score evaluates whether  is overvalued or undervalued relative to its \\"fair value\\". Instead of using a traditional z-score method, the MVRV Z-Score uniquely compares the market value to the realized value. When the market value, measured as network valuation by spot price multiplied by supply, is significantly higher than the realized value, represented by the cumulative capital inflow into the asset, it has typically signaled a market top (red zone). Conversely, a significantly lower market value than the realized value has often indicated market bottoms (green zone).\n\nThe MVRV Z-Score is defined as the ratio between the difference of market cap and realized cap, and the standard deviation of market cap, i.e. (market cap – realized cap) / std(market cap). This formula calculates the standard deviation from the first available data point until the present day, making it a cumulative measure.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/market.MvrvZScore?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - market","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/market/mvrv_z_score":{"get":{"summary":"MVRV Z-Score","description":"The MVRV Z-Score evaluates whether  is overvalued or undervalued relative to its \\\"fair value\\\". Instead of using a traditional z-score method, the MVRV Z-Score uniquely compares the market value to the realized value. When the market value, measured as network valuation by spot price multiplied by supply, is significantly higher than the realized value, represented by the cumulative capital inflow into the asset, it has typically signaled a market top (red zone). Conversely, a significantly lower market value than the realized value has often indicated market bottoms (green zone).\\n\\nThe MVRV Z-Score is defined as the ratio between the difference of market cap and realized cap, and the standard deviation of market cap, i.e. (market cap – realized cap) / std(market cap). This formula calculates the standard deviation from the first available data point until the present day, making it a cumulative measure.\n\n[View in Studio](https://studio.glassnode.com/charts/market.MvrvZScore?a=BTC)\n","operationId":"market.MvrvZScore","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Price

> The closing price of  in USD. Prices are aggregated from both centralised and decentralised exchanges. Prices are calculated using a VWAP-like methodology where outlier detection is applied to mitigate the impact of erroneous or anomalous trades on the final composite price. Data is available with up to 10-minute resolution and usually arrives with 3-minute latency once the interval has ended.\n\nPrices may occasionally change as late-reported data from individual exchanges is incorporated. However, strictly immutable data points are available in the PIT (point-in-time) version of this metric.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/market.PriceUsdClose?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - market","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/market/price_usd_close":{"get":{"summary":"Price","description":"The closing price of  in USD. Prices are aggregated from both centralised and decentralised exchanges. Prices are calculated using a VWAP-like methodology where outlier detection is applied to mitigate the impact of erroneous or anomalous trades on the final composite price. Data is available with up to 10-minute resolution and usually arrives with 3-minute latency once the interval has ended.\\n\\nPrices may occasionally change as late-reported data from individual exchanges is incorporated. However, strictly immutable data points are available in the PIT (point-in-time) version of this metric.\n\n[View in Studio](https://studio.glassnode.com/charts/market.PriceUsdClose?a=BTC)\n","operationId":"market.PriceUsdClose","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 1month, 1w, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Price Drawdown from ATH

> The percent drawdown of the asset\&#x27;s price from the previous all-time high.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/market.PriceDrawdownRelative?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - market","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/market/price_drawdown_relative":{"get":{"summary":"Price Drawdown from ATH","description":"The percent drawdown of the asset&#x27;s price from the previous all-time high.\n\n[View in Studio](https://studio.glassnode.com/charts/market.PriceDrawdownRelative?a=BTC)\n","operationId":"market.PriceDrawdownRelative","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 1month, 1w, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Price OHLC

> The Open, High, Low, and Close prices of  in USD. Prices are aggregated from both centralised and decentralised exchanges. Prices are calculated using a VWAP-like methodology where outlier detection is applied to mitigate the impact of erroneous or anomalous trades on the final composite price. Data is available with up to 10-minute resolution and usually arrives with 3-minute latency once the interval has ended.\n\nPrices may occasionally change as late-reported data from individual exchanges is incorporated. However, strictly immutable data points are available in the PIT (point-in-time) version of this metric.\n\n\*\*Note:\*\* When showing 1 hour resolution the chart will dynamically aggregate data based on zoom level.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/market.PriceUsdOhlc?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - market","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/market/price_usd_ohlc":{"get":{"summary":"Price OHLC","description":"The Open, High, Low, and Close prices of  in USD. Prices are aggregated from both centralised and decentralised exchanges. Prices are calculated using a VWAP-like methodology where outlier detection is applied to mitigate the impact of erroneous or anomalous trades on the final composite price. Data is available with up to 10-minute resolution and usually arrives with 3-minute latency once the interval has ended.\\n\\nPrices may occasionally change as late-reported data from individual exchanges is incorporated. However, strictly immutable data points are available in the PIT (point-in-time) version of this metric.\\n\\n**Note:** When showing 1 hour resolution the chart will dynamically aggregate data based on zoom level.\n\n[View in Studio](https://studio.glassnode.com/charts/market.PriceUsdOhlc?a=BTC)\n","operationId":"market.PriceUsdOhlc","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Realized Cap

> Realized Cap values different part of the supplies at different prices (instead of using the current daily close). Specifically, it is computed by valuing each UTXO by the price when it was last moved.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/market.MarketcapRealizedUsd?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - market","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/market/marketcap_realized_usd":{"get":{"summary":"Realized Cap","description":"Realized Cap values different part of the supplies at different prices (instead of using the current daily close). Specifically, it is computed by valuing each UTXO by the price when it was last moved.\n\n[View in Studio](https://studio.glassnode.com/charts/market.MarketcapRealizedUsd?a=BTC)\n","operationId":"market.MarketcapRealizedUsd","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Realized Price

> Realized Price is the Realized Cap divided by the current supply.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/market.PriceRealizedUsd?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - market","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/market/price_realized_usd":{"get":{"summary":"Realized Price","description":"Realized Price is the Realized Cap divided by the current supply.\n\n[View in Studio](https://studio.glassnode.com/charts/market.PriceRealizedUsd?a=BTC)\n","operationId":"market.PriceRealizedUsd","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Realized Volatility (1 Month)

> Realized volatility is the standard deviation of returns from the mean return of a market. High values in realized volatility indicate a phase of high risk in that market. It is measured on log returns over a fixed time horizon or over a rolling window to obtain a time-dependent observable. While \[implied volatility]\(<https://studio.glassnode.com/metrics?a\\&#x3D;BTC\\&category\\&#x3D;\\&m\\&#x3D;derivatives.OptionsAtmImpliedVolatilityAll>) refers to the market’s assessment of future volatility, realized volatility measures what happened in the past. Here, we calculate the realized volatility based on daily returns and multiply it with a factor of sqrt(365) to yield the annualized daily realized volatility over a rolling window of 1 month.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/market.RealizedVolatility1Month?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - market","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/market/realized_volatility_1_month":{"get":{"summary":"Realized Volatility (1 Month)","description":"Realized volatility is the standard deviation of returns from the mean return of a market. High values in realized volatility indicate a phase of high risk in that market. It is measured on log returns over a fixed time horizon or over a rolling window to obtain a time-dependent observable. While [implied volatility](https://studio.glassnode.com/metrics?a&#x3D;BTC&category&#x3D;&m&#x3D;derivatives.OptionsAtmImpliedVolatilityAll) refers to the market’s assessment of future volatility, realized volatility measures what happened in the past. Here, we calculate the realized volatility based on daily returns and multiply it with a factor of sqrt(365) to yield the annualized daily realized volatility over a rolling window of 1 month.\n\n[View in Studio](https://studio.glassnode.com/charts/market.RealizedVolatility1Month?a=BTC)\n","operationId":"market.RealizedVolatility1Month","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Realized Volatility (1 Week)

> Realized volatility is the standard deviation of returns from the mean return of a market. High values in realized volatility indicate a phase of high risk in that market. It is measured on log returns over a fixed time horizon or over a rolling window to obtain a time-dependent observable. While \[implied volatility]\(<https://studio.glassnode.com/metrics?a\\&#x3D;BTC\\&category\\&#x3D;\\&m\\&#x3D;derivatives.OptionsAtmImpliedVolatilityAll>) refers to the market’s assessment of future volatility, realized volatility measures what happened in the past. Here, we calculate the realized volatility based on daily returns and multiply it with a factor of sqrt(365) to yield the annualized daily realized volatility over a rolling window of 1 week.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/market.RealizedVolatility1Week?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - market","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/market/realized_volatility_1_week":{"get":{"summary":"Realized Volatility (1 Week)","description":"Realized volatility is the standard deviation of returns from the mean return of a market. High values in realized volatility indicate a phase of high risk in that market. It is measured on log returns over a fixed time horizon or over a rolling window to obtain a time-dependent observable. While [implied volatility](https://studio.glassnode.com/metrics?a&#x3D;BTC&category&#x3D;&m&#x3D;derivatives.OptionsAtmImpliedVolatilityAll) refers to the market’s assessment of future volatility, realized volatility measures what happened in the past. Here, we calculate the realized volatility based on daily returns and multiply it with a factor of sqrt(365) to yield the annualized daily realized volatility over a rolling window of 1 week.\n\n[View in Studio](https://studio.glassnode.com/charts/market.RealizedVolatility1Week?a=BTC)\n","operationId":"market.RealizedVolatility1Week","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Realized Volatility (1 Year)

> Realized volatility is the standard deviation of returns from the mean return of a market. High values in realized volatility indicate a phase of high risk in that market. It is measured on log returns over a fixed time horizon or over a rolling window to obtain a time-dependent observable. While \[implied volatility]\(<https://studio.glassnode.com/metrics?a\\&#x3D;BTC\\&category\\&#x3D;\\&m\\&#x3D;derivatives.OptionsAtmImpliedVolatilityAll>) refers to the market’s assessment of future volatility, realized volatility measures what happened in the past. Here, we calculate the realized volatility based on daily returns and multiply it with a factor of sqrt(365) to yield the annualized daily realized volatility over a rolling window of 365 days.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/market.RealizedVolatility1Year?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - market","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/market/realized_volatility_1_year":{"get":{"summary":"Realized Volatility (1 Year)","description":"Realized volatility is the standard deviation of returns from the mean return of a market. High values in realized volatility indicate a phase of high risk in that market. It is measured on log returns over a fixed time horizon or over a rolling window to obtain a time-dependent observable. While [implied volatility](https://studio.glassnode.com/metrics?a&#x3D;BTC&category&#x3D;&m&#x3D;derivatives.OptionsAtmImpliedVolatilityAll) refers to the market’s assessment of future volatility, realized volatility measures what happened in the past. Here, we calculate the realized volatility based on daily returns and multiply it with a factor of sqrt(365) to yield the annualized daily realized volatility over a rolling window of 365 days.\n\n[View in Studio](https://studio.glassnode.com/charts/market.RealizedVolatility1Year?a=BTC)\n","operationId":"market.RealizedVolatility1Year","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Realized Volatility (2 Weeks)

> Realized volatility is the standard deviation of returns from the mean return of a market. High values in realized volatility indicate a phase of high risk in that market. It is measured on log returns over a fixed time horizon or over a rolling window to obtain a time-dependent observable. While \[implied volatility]\(<https://studio.glassnode.com/metrics?a\\&#x3D;BTC\\&category\\&#x3D;\\&m\\&#x3D;derivatives.OptionsAtmImpliedVolatilityAll>) refers to the market’s assessment of future volatility, realized volatility measures what happened in the past. Here, we calculate the realized volatility based on daily returns and multiply it with a factor of sqrt(365) to yield the annualized daily realized volatility over a rolling window of 2 weeks.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/market.RealizedVolatility2Weeks?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - market","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/market/realized_volatility_2_weeks":{"get":{"summary":"Realized Volatility (2 Weeks)","description":"Realized volatility is the standard deviation of returns from the mean return of a market. High values in realized volatility indicate a phase of high risk in that market. It is measured on log returns over a fixed time horizon or over a rolling window to obtain a time-dependent observable. While [implied volatility](https://studio.glassnode.com/metrics?a&#x3D;BTC&category&#x3D;&m&#x3D;derivatives.OptionsAtmImpliedVolatilityAll) refers to the market’s assessment of future volatility, realized volatility measures what happened in the past. Here, we calculate the realized volatility based on daily returns and multiply it with a factor of sqrt(365) to yield the annualized daily realized volatility over a rolling window of 2 weeks.\n\n[View in Studio](https://studio.glassnode.com/charts/market.RealizedVolatility2Weeks?a=BTC)\n","operationId":"market.RealizedVolatility2Weeks","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Realized Volatility (3 Months)

> Realized volatility is the standard deviation of returns from the mean return of a market. High values in realized volatility indicate a phase of high risk in that market. It is measured on log returns over a fixed time horizon or over a rolling window to obtain a time-dependent observable. While \[implied volatility]\(<https://studio.glassnode.com/metrics?a\\&#x3D;BTC\\&category\\&#x3D;\\&m\\&#x3D;derivatives.OptionsAtmImpliedVolatilityAll>) refers to the market’s assessment of future volatility, realized volatility measures what happened in the past. Here, we calculate the realized volatility based on daily returns and multiply it with a factor of sqrt(365) to yield the annualized daily realized volatility over a rolling window of 3 months.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/market.RealizedVolatility3Months?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - market","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/market/realized_volatility_3_months":{"get":{"summary":"Realized Volatility (3 Months)","description":"Realized volatility is the standard deviation of returns from the mean return of a market. High values in realized volatility indicate a phase of high risk in that market. It is measured on log returns over a fixed time horizon or over a rolling window to obtain a time-dependent observable. While [implied volatility](https://studio.glassnode.com/metrics?a&#x3D;BTC&category&#x3D;&m&#x3D;derivatives.OptionsAtmImpliedVolatilityAll) refers to the market’s assessment of future volatility, realized volatility measures what happened in the past. Here, we calculate the realized volatility based on daily returns and multiply it with a factor of sqrt(365) to yield the annualized daily realized volatility over a rolling window of 3 months.\n\n[View in Studio](https://studio.glassnode.com/charts/market.RealizedVolatility3Months?a=BTC)\n","operationId":"market.RealizedVolatility3Months","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Realized Volatility (6 Months)

> Realized volatility is the standard deviation of returns from the mean return of a market. High values in realized volatility indicate a phase of high risk in that market. It is measured on log returns over a fixed time horizon or over a rolling window to obtain a time-dependent observable. While \[implied volatility]\(<https://studio.glassnode.com/metrics?a\\&#x3D;BTC\\&category\\&#x3D;\\&m\\&#x3D;derivatives.OptionsAtmImpliedVolatilityAll>) refers to the market’s assessment of future volatility, realized volatility measures what happened in the past. Here, we calculate the realized volatility based on daily returns and multiply it with a factor of sqrt(365) to yield the annualized daily realized volatility over a rolling window of 6 months.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/market.RealizedVolatility6Months?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - market","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/market/realized_volatility_6_months":{"get":{"summary":"Realized Volatility (6 Months)","description":"Realized volatility is the standard deviation of returns from the mean return of a market. High values in realized volatility indicate a phase of high risk in that market. It is measured on log returns over a fixed time horizon or over a rolling window to obtain a time-dependent observable. While [implied volatility](https://studio.glassnode.com/metrics?a&#x3D;BTC&category&#x3D;&m&#x3D;derivatives.OptionsAtmImpliedVolatilityAll) refers to the market’s assessment of future volatility, realized volatility measures what happened in the past. Here, we calculate the realized volatility based on daily returns and multiply it with a factor of sqrt(365) to yield the annualized daily realized volatility over a rolling window of 6 months.\n\n[View in Studio](https://studio.glassnode.com/charts/market.RealizedVolatility6Months?a=BTC)\n","operationId":"market.RealizedVolatility6Months","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Realized Volatility (All)

> Realized volatility is the standard deviation of returns from the mean return of a market. High values in realized volatility indicate a phase of high risk in that market. It is measured on log returns over a fixed time horizon or over a rolling window to obtain a time-dependent observable. While \[implied volatility]\(<https://studio.glassnode.com/metrics?a\\&#x3D;BTC\\&category\\&#x3D;\\&m\\&#x3D;derivatives.OptionsAtmImpliedVolatilityAll>) refers to the market’s assessment of future volatility, realized volatility measures what happened in the past. Here, we calculate the realized volatility based on daily returns and multiply it with a factor of sqrt(365) to yield the annualized daily realized volatility over rolling windows of 1 week, 2 weeks, 1 month, 3 months, 6 months, and 1 year, respectively.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/market.RealizedVolatilityAll?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - market","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/market/realized_volatility_all":{"get":{"summary":"Realized Volatility (All)","description":"Realized volatility is the standard deviation of returns from the mean return of a market. High values in realized volatility indicate a phase of high risk in that market. It is measured on log returns over a fixed time horizon or over a rolling window to obtain a time-dependent observable. While [implied volatility](https://studio.glassnode.com/metrics?a&#x3D;BTC&category&#x3D;&m&#x3D;derivatives.OptionsAtmImpliedVolatilityAll) refers to the market’s assessment of future volatility, realized volatility measures what happened in the past. Here, we calculate the realized volatility based on daily returns and multiply it with a factor of sqrt(365) to yield the annualized daily realized volatility over rolling windows of 1 week, 2 weeks, 1 month, 3 months, 6 months, and 1 year, respectively.\n\n[View in Studio](https://studio.glassnode.com/charts/market.RealizedVolatilityAll?a=BTC)\n","operationId":"market.RealizedVolatilityAll","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","con
[...]
